| Home | Libraries | People | FAQ | More

##### basic_signal_set::remove (2 of 2 overloads)

Remove a signal from a signal_set.

    boost::system::error_code remove(
        int signal_number,
        boost::system::error_code & ec);

This function removes the specified signal from the set. It has no effect if the signal is not in the set.

###### Parameters

signal_number

  The signal to be removed from the set.

ec

  Set to indicate what error occurred, if any.

###### Remarks

Removes any notifications that have been queued for the specified signal number.